Package org.lwjgl.opengl

# Class EXTSecondaryColor

java.lang.Object
org.lwjgl.opengl.EXTSecondaryColor

public final class EXTSecondaryColor extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COLOR_SUM_EXT`
`static final int`
`GL_CURRENT_SECONDARY_COLOR_EXT`
`static final int`
`GL_SECONDARY_COLOR_ARRAY_EXT`
`static final int`
`GL_SECONDARY_COLOR_ARRAY_POINTER_EXT`
`static final int`
`GL_SECONDARY_COLOR_ARRAY_SIZE_EXT`
`static final int`
`GL_SECONDARY_COLOR_ARRAY_STRIDE_EXT`
`static final int`
`GL_SECONDARY_COLOR_ARRAY_TYPE_EXT`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glSecondaryColor3bEXT(byte red, byte green, byte blue)`
`static void`
`glSecondaryColor3dEXT(double red, double green, double blue)`
`static void`
`glSecondaryColor3fEXT(float red, float green, float blue)`
`static void`
`glSecondaryColor3ubEXT(byte red, byte green, byte blue)`
`static void`
`glSecondaryColorPointerEXT(int size, boolean unsigned, int stride, ByteBuffer pPointer)`
`static void`
`glSecondaryColorPointerEXT(int size, int type, int stride, long pPointer_buffer_offset)`
`static void`
`glSecondaryColorPointerEXT(int size, int stride, DoubleBuffer pPointer)`
`static void`
`glSecondaryColorPointerEXT(int size, int stride, FloatBuffer pPointer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_COLOR_SUM_EXT

public static final int GL_COLOR_SUM_EXT

See Also:
  - Constant Field Values

### GL_CURRENT_SECONDARY_COLOR_EXT

public static final int GL_CURRENT_SECONDARY_COLOR_EXT

See Also:
  - Constant Field Values

### GL_SECONDARY_COLOR_ARRAY_SIZE_EXT

public static final int GL_SECONDARY_COLOR_ARRAY_SIZE_EXT

See Also:
  - Constant Field Values

### GL_SECONDARY_COLOR_ARRAY_TYPE_EXT

public static final int GL_SECONDARY_COLOR_ARRAY_TYPE_EXT

See Also:
  - Constant Field Values

### GL_SECONDARY_COLOR_ARRAY_STRIDE_EXT

public static final int GL_SECONDARY_COLOR_ARRAY_STRIDE_EXT

See Also:
  - Constant Field Values

### GL_SECONDARY_COLOR_ARRAY_POINTER_EXT

public static final int GL_SECONDARY_COLOR_ARRAY_POINTER_EXT

See Also:
  - Constant Field Values

### GL_SECONDARY_COLOR_ARRAY_EXT

public static final int GL_SECONDARY_COLOR_ARRAY_EXT

See Also:
  - Constant Field Values

## Method Details

### glSecondaryColor3bEXT

public static void glSecondaryColor3bEXT(byte red, byte green, byte blue)

### glSecondaryColor3fEXT

public static void glSecondaryColor3fEXT(float red, float green, float blue)

### glSecondaryColor3dEXT

public static void glSecondaryColor3dEXT(double red, double green, double blue)

### glSecondaryColor3ubEXT

public static void glSecondaryColor3ubEXT(byte red, byte green, byte blue)

### glSecondaryColorPointerEXT

public static void glSecondaryColorPointerEXT(int size, int stride, DoubleBuffer pPointer)

### glSecondaryColorPointerEXT

public static void glSecondaryColorPointerEXT(int size, int stride, FloatBuffer pPointer)

### glSecondaryColorPointerEXT

public static void glSecondaryColorPointerEXT(int size, boolean unsigned, int stride, ByteBuffer pPointer)

### glSecondaryColorPointerEXT

public static void glSecondaryColorPointerEXT(int size, int type, int stride, long pPointer_buffer_offset)